Skip to main content
`Ctrl`+`K`

# DMStagSetStencilWidth

set elementwise stencil width

## Synopsis

    PetscErrorCode DMStagSetStencilWidth(DM dm, PetscInt stencilWidth)

Logically Collective; `stencilWidth` must contain common value

## Input Parameters

- dm - the `DMSTAG` object

- stencilWidth - stencil/halo/ghost width in elements

## Note

The width value is not used when `DMSTAG_STENCIL_NONE` is specified.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetStencilWidth()`, `DMStagGetStencilType()`, `DMStagStencilType`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages